<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::Bitwise Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Bitwise.html#8abbcb20f50105117dc94c6fedf8ace6">convertBitPattern</a>(SrcT srcValue, SrcT srcBitMask, DestT destBitMask)</td><td><a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Bitwise.html#f1d86f2723f835a233138259c962a952">firstPO2From</a>(uint32 n)</td><td><a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Bitwise.html#a59b3726641c31b63aa3e203559ca3bd">fixedToFixed</a>(uint32 value, unsigned int n, unsigned int p)</td><td><a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Bitwise.html#48006ba79d6f8c690e3131c7b4e441bf">fixedToFloat</a>(unsigned value, unsigned int bits)</td><td><a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Bitwise.html#d3f4d30ecc1aa5ea112a38e63a47b9c8">floatToFixed</a>(const float value, const unsigned int bits)</td><td><a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Bitwise.html#a02a9c5a117baf2da38ad562c2130681">floatToHalf</a>(float i)</td><td><a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Bitwise.html#d98268f6e1288301c0471e345e98cd1e">floatToHalfI</a>(uint32 i)</td><td><a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Bitwise.html#b9e1672bc7f43a5a3467d3e0d0886b62">getBitShift</a>(T mask)</td><td><a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Bitwise.html#bb3cbaa74865420859ba7b1061f8d3f3">halfToFloat</a>(uint16 y)</td><td><a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Bitwise.html#7ccd62b11c082f76d4972e27896c6028">halfToFloatI</a>(uint16 y)</td><td><a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Bitwise.html#d0fcaa2e4f445d1e9c1fb69291061dec">intRead</a>(const void *src, int n)</td><td><a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Bitwise.html#fa88e9d32bbc468ac3ee803ee4228ca1">intWrite</a>(void *dest, const int n, const unsigned int value)</td><td><a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Bitwise.html#b09f72312a62e0e0720e4b039f402654">isPO2</a>(T n)</td><td><a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Bitwise.html#a3fd3a659f416fe2f6e034c42b6a873c">mostSignificantBitSet</a>(unsigned int value)</td><td><a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a></td><td><code> [static]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:13 2008
</p>
</body>
</html>
